apiVersion: apps/v1
kind: Deployment
metadata:
  name: oracle 
  #namespace: oracle-namespace
  labels:
    app: oracle
    #version3
    #18.3.0.1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: oracle
      #version: 18.3.0.1
  template:
    metadata:
      name: oracle
      labels:
        app: oracle
          #version: 18.3.0.1
    spec:
      
      containers:
        - name: oracle
          image: anz2018/oracle-xe:oracle-18-13-12-24
          #command:
          #- /opt/oracle/runOracle.sh
          imagePullPolicy: IfNotPresent
          #resources:
           # requests:
            #  memory: 8Gi
          ports:
            - name: listener
              containerPort: 1521
              hostPort: 1521
            - name: oemexpress
              containerPort: 5500
              hostPort: 5500
          
          env:
            - name: ORACLE_SID
              value: XE
            - name: username
              value: kishore
            - name: password
              value: kishore

